Subject: [PATCH] gnu: gnutls: Update to 3.7.8.

From: Jack Hill <[email-masked]>
Date: Wed, 25 Jan 2023 13:55:18 -0500

* gnu/packages/tls.scm (gnutls-latest): Update to 3.7.8.
---

I test build this on Linux x86_64, and was able to use guile-gnutls with
this version. The list reported by `guix refresh -l` wasn't working for
me, so I didn't rebuild all the packages. Upstream claims taht there are
"No changes [ABI or API] since last version," so I think it's pretty
safe.

Release notes: https://lists.gnupg.org/pipermail/gnutls-help/2022-September/004765.html

 gnu/packages/tls.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
index bdac8a6e63..5dc9866077 100644
--- a/gnu/packages/tls.scm
+++ b/gnu/packages/tls.scm
@@ -335,7 +335,7 @@ (define-public gnutls
 (define-public gnutls-latest
   (package
     (inherit gnutls)
-    (version "3.7.7")
+    (version "3.7.8")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnupg/gnutls/v"
@@ -345,7 +345,7 @@ (define-public gnutls-latest
                                        "gnutls-cross.patch"))
               (sha256
                (base32
-                "01i1gl15k6qwvxmxx0by1mn9nlmcmym18wdpm7dn9awfsp8474dy"))))
+                "053ic7a9dcvzjx8pqjxn3022189i4f5klppfi9mgw3k7y2dd72n5"))))
 
     ;; Disable Guile bindings: they are now provided by Guile-GnuTLS.
     (inputs (modify-inputs (package-inputs gnutls)
-- 
2.39.1